NAME Riding Slug
NAM2 a riding slug
ICON items/s_twl.jpg 31
GFXP items/l_twl.jpg 7
FLAG life unique
DIST warm hot
TEXT Surprisingly fast and agile, slugs are the preferred mount of nobility throughout the galaxy. (Well, except Muktians, to them it's like riding your stupid inbred cousin...)
COST 230 lifeforms
TYPE other

